Bug 107555 - Apply the 'Default Style' table style to newly inserted tables
Summary: Apply the 'Default Style' table style to newly inserted tables
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.0.2 target:6....
Keywords:
Depends on: 107554
Blocks: Writer-Tables-Style
  Show dependency treegraph
 
Reported: 2017-05-02 00:16 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-06-22 05:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-05-02 00:16:18 UTC
Once the current default style has been corrected (bug 107554), then newly inserted tables need to be applied with this default style.
Comment 1 Yousuf Philips (jay) (retired) 2017-10-30 09:01:25 UTC
Jim: Do you have time to take this on?
Comment 2 Jim Raykowski 2017-10-31 18:17:59 UTC
Hi Jay,

So currently when a table is inserted, without setting the style to 'Default Style' in the AutoFormat dialog, no style is used by default.

We want to have 'Default Style' used unless another style, including 'None', is selected in the AutoFormat dialog.

Am I on the right track here? If so, other than a bit of a sticky spot with the 'None' style, it's working.
Comment 3 Yousuf Philips (jay) (retired) 2017-10-31 19:46:23 UTC
Hi Jim,

When inserting a table through the dialog, a user can choose which table style to assign to it (bug 113558). When inserting it through the toolbar table group button, it should always be inserted with the 'Default Style' table style assigned to it and the user can change the style afterwards.
Comment 4 Jim Raykowski 2017-11-01 23:45:39 UTC
Here is a link to a patch for this
 
https://gerrit.libreoffice.org/#/c/44147/
Comment 5 Commit Notification 2017-12-20 08:12:10 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=416f7578d6332b5b5a4445f26307d73925188e41

tdf#107555 Apply 'Default Style' table style to newly inserted tables

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-12-27 14:28:22 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=203b913155812706e9be14c5fe2b8f543cc4fdc7&h=libreoffice-6-0

tdf#107555 Apply 'Default Style' table style to newly inserted tables

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-03-15 17:02:21 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eeb4a2ec37bf88b26a9f243cc5682e96c9e35df6

tdf#115573 Revert: tdf#107555 Apply 'Default Style' table style

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Ljiljan 2018-03-20 07:21:15 UTC
At the moment, this solution is causing many difficulties in working with tables.

Inserting a new row or column will cause all custom changes to the table (bold, italic, etc...) to change to the default style.  And since it is not possible to modify styles, I suggest to remove this feature... default style should not be applied to a new table, or it should but after we address all these bugs and offer the possibility to modify existing styles. 

Currently, it is not possible to de-select default or any other style applied to the table, so unless you are completely happy with the list of existing styles (which is a rare occasion), working with the table is not intuitive and will cause many difficulties to new and existing users.
Comment 9 Commit Notification 2018-03-26 19:05:43 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30db8c9b1d9654e62c11657140fac24f0f52c547&h=libreoffice-6-0

tdf#115573 Revert: tdf#107555 Apply 'Default Style' table style

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-03-28 14:37:07 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=55a27458831d1a7d203479c9d713d2f3e57c25a4&h=libreoffice-6-0-3

tdf#115573 Revert: tdf#107555 Apply 'Default Style' table style

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Dieter Praas 2018-11-25 21:00:01 UTC
I think this is fixed, but I'm not sure.
Comment 12 Dieter Praas 2019-06-21 06:22:12 UTC
Jim, what happen with tis bug

cc: Heiko, with regard to bug 124206: Should bug 107555 be changed to WONTFIX? (But perhaps I don't understand all)
Comment 13 Heiko Tietze 2019-06-21 06:47:09 UTC
(In reply to Dieter Praas from comment #12)
> Jim, what happen with tis bug
> 
> cc: Heiko, with regard to bug 124206: Should bug 107555 be changed to
> WONTFIX? (But perhaps I don't understand all)

Bug 124206: Change "Default" to "Plain" (just the table style name) in order to have later a default style that takes over formats from the currently used paragraph style (see also bug 104389, which is a WF, bug 107606, and also bug 117489 expecting the opposite). The switch from binary to xml format is requested in bug 49437.

We can keep this alive for later or close as WF. A lot of confusion around the topic anyway.
Comment 14 Dieter Praas 2019-06-21 11:26:04 UTC
(In reply to Heiko Tietze from comment #13)
> A lot of confusion around
> the topic anyway.

I agree. What might be strategies to reduce this confusion?
Comment 15 Jim Raykowski 2019-06-21 21:17:41 UTC
Dieter, Hieko, and all interested in finding a good solution for this, 

Currently when a table is inserted using either the Insert Table dialog or the Insert Table control button, "Default Style" autoformat is used only as a template to create the table and is not assigned the autoformat "Default Style". This provides for user direct formatting not being replaced when rows are inserted or deleted or when the document is reopened. This could be extended to all autoformat styles by  adding a check box in the Insert Table dialog to use the table style as a template or as an autoformat. Maybe this will cause more confusion.
Comment 16 Dieter Praas 2019-06-22 05:00:32 UTC
(In reply to Jim Raykowski from comment #15)
> Dieter, Hieko, and all interested in finding a good solution for this, 
> 
> Currently when a table is inserted using either the Insert Table dialog or
> the Insert Table control button, "Default Style" autoformat is used only as
> a template to create the table and is not assigned the autoformat "Default
> Style".

The change of Default style template this will perhaps reduce confusion (bug 124206).

> This provides for user direct formatting not being replaced when
> rows are inserted

Actual there's a different behaviour, depending if you mark a whole row or just put the cursor in a cell (see bug 126008).


> This could be
> extended to all autoformat styles by  adding a check box in the Insert Table
> dialog to use the table style as a template or as an autoformat. Maybe this
> will cause more confusion.

I'm not sure, if the majority of the users are aware about the differences between template and autoformat (I also learnt something from your explanation, Jim). So I also think, this could cause more confusion.